-- [C6Mart].[PL_D_S178CasiParticolari] 'F','MTTSRA00H61D704A'
CREATE procedure [C6Mart].[PL_D_S178CasiParticolari_20181220]
 -- Add the parameters for the stored procedure here
 @Rete char(1), 
 @CodiceFiscale varchar(16)
AS
BEGIN
------------------------------------------------------------------------------ CASO 1 COPERTURA = 0
	declare @Copertura decimal(10,2)
	declare @SoloProdottiSenzaAdeguatezza int
	declare @IDTesto int
	set @IDTesto = 0
	select @Copertura=copertura
    from C6Mart.RISCHIO_AGGREGATO
	-- 'COMPLESSIVO|BF' come viene fatto nella PL_D_S157ConfrontoPiramidi per la copertura_tot, campo per l'esposizione della nota sulla coperura sotto la piramide
    where cod_aggreg='COMPLESSIVO|BF' 
    AND COD_FISCALE = @COdiceFISCALE
	and RETE= @RETE
------------------------------------------------------------------------------ FINE CASO 1
------------------------------------------------------------------------------ CASO 2 SENZA PRODOTTI IN ADEGUATEZZA
	-- Se le count torna 0 record significa che in ptf ci sono solo prodotti senza adeguatezza
	select @SoloProdottiSenzaAdeguatezza= count(*) 
	from c6mart.patrimonio_bf patr
	left join [C6Staging].[Prodotti_Fuori_Adeguatezza] senza
	on patr.cod_interno = senza.codinterno and patr.cod_sottoprodotto=senza.codsottoprodotto
	where patr.rete = @rete
	and patr.cod_fiscale = @codicefiscale
	and senza.codinterno is null
----------------------------------------------------------------------------- FINE CASO 2
-- CASO 3 COPERTURA = 0 + e ptf con solo PRODOTTI senza ADEGUATEZZA
-- FINE CASO 3
-- RISULTATO FINALE
	if(@Copertura = 0)
	begin
		if(@SoloProdottiSenzaAdeguatezza=0)
			begin
				set @IDTesto = 3
			end
		else
			begin
				set @IDTesto = 1
			end
	end
	else
		if(@SoloProdottiSenzaAdeguatezza=0)
		begin
			set @IDTesto = 2
		end
	select ID, Testo
	from [C6Mart].[TB_S178CasiParticolari_Testi]
	where ID = @IDTesto
-- ********************* PARTE FINTA
--select ID, Testo
--	from [C6Mart].[TB_S178CasiParticolari_Testi]
--	where ID = 0
end